<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'shipping_method',

    /*
     * Modules.
     */
    'modules'   => ['shipping_method'],

    
    'shipping_method'       => [
        'model' => [
            'model'                 => \Litecms\ShippingMethod\Models\ShippingMethod::class,
            'table'                 => 'shipping_methods',
            'presenter'             => \Litecms\ShippingMethod\Repositories\Presenter\ShippingMethodPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['api_id',  'company ',  'address ',  'City',  'zip_code ',  'phone',  'size',  'container',  'dimensions_length',  'dimensions_width',  'dimensions_height',  'weight'],
            'translatables'         => [],
            'upload_folder'         => 'shipping_method/shipping_method',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'ShippingMethod',
            'module'    => 'ShippingMethod',
        ],

    ],
];
