<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateShippingMethodsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: shipping_methods
         */
        Schema::create('shipping_methods', function ($table) {
            $table->increments('id');
            $table->string('api_id', 255)->nullable();
            $table->string('company ', 255)->nullable();
            $table->string('address ', 255)->nullable();
            $table->string('City', 255)->nullable();
            $table->string('zip_code ', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->integer('size')->nullable();
            $table->integer('container')->nullable();
            $table->string('dimensions_length', 255)->nullable();
            $table->string('dimensions_width', 255)->nullable();
            $table->string('dimensions_height', 255)->nullable();
            $table->integer('weight')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('shipping_methods');
    }
}
