<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('shipping_method::shipping_method.name') !!} <small> {!! trans('app.manage') !!} {!! trans('shipping_method::shipping_method.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('shipping_method::shipping_method.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='shipping_method-shipping_method-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('shipping_method/shipping_method')!!}">{!! trans('shipping_method::shipping_method.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('shipping_method/shipping_method?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('shipping_method/shipping_method?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('shipping_method/shipping_method/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('shipping_method::admin.shipping_method.partial.actions')
                    -->
                    @include('shipping_method::admin.shipping_method.partial.filter')
                    @include('shipping_method::admin.shipping_method.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="shipping_method-shipping_method-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="shipping_method-shipping_method-check-all"></th>
                        <th data-field="api_id">{!! trans('shipping_method::shipping_method.label.api_id')!!}</th>
                    <th data-field="company ">{!! trans('shipping_method::shipping_method.label.company ')!!}</th>
                    <th data-field="address ">{!! trans('shipping_method::shipping_method.label.address ')!!}</th>
                    <th data-field="City">{!! trans('shipping_method::shipping_method.label.City')!!}</th>
                    <th data-field="zip_code ">{!! trans('shipping_method::shipping_method.label.zip_code ')!!}</th>
                    <th data-field="phone">{!! trans('shipping_method::shipping_method.label.phone')!!}</th>
                    <th data-field="size">{!! trans('shipping_method::shipping_method.label.size')!!}</th>
                    <th data-field="container">{!! trans('shipping_method::shipping_method.label.container')!!}</th>
                    <th data-field="dimensions_length">{!! trans('shipping_method::shipping_method.label.dimensions_length')!!}</th>
                    <th data-field="dimensions_width">{!! trans('shipping_method::shipping_method.label.dimensions_width')!!}</th>
                    <th data-field="dimensions_height">{!! trans('shipping_method::shipping_method.label.dimensions_height')!!}</th>
                    <th data-field="weight">{!! trans('shipping_method::shipping_method.label.weight')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#shipping_method-shipping_method-entry', '{!!guard_url('shipping_method/shipping_method/0')!!}');
    oTable = $('#shipping_method-shipping_method-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('shipping_method/shipping_method') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'api_id'},
            {data :'company '},
            {data :'address '},
            {data :'City'},
            {data :'zip_code '},
            {data :'phone'},
            {data :'size'},
            {data :'container'},
            {data :'dimensions_length'},
            {data :'dimensions_width'},
            {data :'dimensions_height'},
            {data :'weight'},
        ],
        "pageLength": 25
    });

    $('#shipping_method-shipping_method-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#shipping_method-shipping_method-list').DataTable().row( this ).data();
        $('#shipping_method-shipping_method-entry').load('{!!guard_url('shipping_method/shipping_method')!!}' + '/' + d.id);
    });

    $('#shipping_method-shipping_method-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#shipping_method-shipping_method-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#shipping_method-shipping_method-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#shipping_method-shipping_method-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>