<?php

namespace Litecms\ShippingMethod\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ShippingMethodTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ShippingMethod\Models\ShippingMethod $shipping_method)
    {
        return [
            'id'                => $shipping_method->getRouteKey(),
            'key'               => [
                'public'    => $shipping_method->getPublicKey(),
                'route'     => $shipping_method->getRouteKey(),
            ], 
            'api_id'            => $shipping_method->api_id,
            'company '          => $shipping_method->company ,
            'address '          => $shipping_method->address ,
            'City'              => $shipping_method->City,
            'zip_code '         => $shipping_method->zip_code ,
            'phone'             => $shipping_method->phone,
            'size'              => $shipping_method->size,
            'container'         => $shipping_method->container,
            'dimensions_length' => $shipping_method->dimensions_length,
            'dimensions_width'  => $shipping_method->dimensions_width,
            'dimensions_height' => $shipping_method->dimensions_height,
            'weight'            => $shipping_method->weight,
            'url'               => [
                'public'    => trans_url('shipping_method/'.$shipping_method->getPublicKey()),
                'user'      => guard_url('shipping_method/shipping_method/'.$shipping_method->getRouteKey()),
            ], 
            'status'            => trans('app.'.$shipping_method->status),
            'created_at'        => format_date($shipping_method->created_at),
            'updated_at'        => format_date($shipping_method->updated_at),
        ];
    }
}