<?php

namespace Litecms\ShippingMethod;

use User;

class ShippingMethod
{
    /**
     * $shipping_method object.
     */
    protected $shipping_method;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\ShippingMethod\Interfaces\ShippingMethodRepositoryInterface $shipping_method)
    {
        $this->shipping_method = $shipping_method;
    }

    /**
     * Returns count of shipping_method.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.shipping_method.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->shipping_method->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ShippingMethodUserCriteria());
        }

        $shipping_method = $this->shipping_method->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('shipping_method::' . $view, compact('shipping_method'))->render();
    }
}
